/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_AUTGRUPOP                                                */
/* Tabela : AUTGRUPOP                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_AUTGRUPOP' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_AUTGRUPOP
GO

CREATE TRIGGER DTULTATU_AUTGRUPOP
ON AUTGRUPOP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'AUTGRUPOP', null, 'CDGRUPOPER=' + CDGRUPOPER + ';'+
                                        'IDAUTGRUPOP='+ IDAUTGRUPOP+ ';'+
                                        'NRAUTGRUPOP='+ CONVERT(CHAR,NRAUTGRUPOP,103)+ ';', CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108)) FROM DELETED)
   END
   ELSE BEGIN
      UPDATE AUTGRUPOP
      SET DTULTATUAGOP = CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108))
      FROM INSERTED
      WHERE (ISNULL(AUTGRUPOP.CDGRUPOPER ,0) = ISNULL(INSERTED.CDGRUPOPER ,0)) AND
            (ISNULL(AUTGRUPOP.IDAUTGRUPOP,0) = ISNULL(INSERTED.IDAUTGRUPOP,0)) AND
            (ISNULL(AUTGRUPOP.NRAUTGRUPOP,0) = ISNULL(INSERTED.NRAUTGRUPOP,0));
   END;
END;
GO


UPDATE AUTGRUPOP SET DTULTATUAGOP = CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108)) WHERE DTULTATUAGOP IS NULL
GO

IF EXISTS(SELECT * FROM sysobjects O
          WHERE
            o.name = 'DEFAULT_DTULTATUAGOP' and
            type = 'D')
   ALTER TABLE AUTGRUPOP DROP CONSTRAINT DEFAULT_DTULTATUAGOP
GO

ALTER TABLE AUTGRUPOP ADD CONSTRAINT DEFAULT_DTULTATUAGOP
DEFAULT CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108))
FOR DTULTATUAGOP
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_AUTGRUPOP','4.11.194';
GO

