var Fis75001_parametrosEfdReinf_Controller = function(ScreenService, templateManager, restEngine, General) {

    // Armazena o escopo atual.
    var self = this;
    var BKPRow;

    self.reloadAndMoveToFirst = function (field){
        var widget = templateManager.container.getWidget('fis75001_parametros_EFD_reinf_form');
        if (!Util.isEmptyOrBlank(field.value())){
            widget.reload().then(function (){
                var existeData = (widget.dataSource.data[0]) ? true : false;
                widget.currentRow = (existeData) ? widget.dataSource.data[0] : {};
                widget.currentRow.CDEMPRESA = field.value();
                widget.getField('DSDIRCERTIFICADO').fileList = widget.currentRow.DSDIRCERTIFICADO;
                widget.getAction('edit').isVisible = existeData;
                widget.getAction('edit').readOnly  = !existeData;
                widget.getAction('adicionar').isVisible = !existeData;
                widget.getAction('adicionar').readOnly  = existeData;
                widget.redraw();
            }, function (error){
                ScreenService.errorNotification(error);
                widget.getAction('edit').readOnly = false;
                widget.getAction('adicionar').readOnly = false;
                widget.redraw();
            });
        } else {
            widget.currentRow = {};
            widget.getAction('edit').isVisible = false;
            widget.getAction('edit').readOnly  = false;
            widget.getAction('adicionar').isVisible = true;
            widget.getAction('adicionar').readOnly = true;
            widget.redraw();
        }
    };
    
    self.saveCrud = function (widget){
        var currentRow  = widget.currentRow;
        if(currentRow.DSDIRCERTIFICADO !== undefined) widget.getField('DSDIRCERTIFICADO').validations = {};
        if (widget.isValid()){
            var BKPRow      = widget.backupRow;
            
            if(!currentRow.__is_new && currentRow.__is_new !== false) {
                currentRow.__is_new = true;
                if(currentRow.CDSENHACERTDIG) currentRow.senhaAlterada = true;
                else currentRow.senhaAlterada = false;
            }
            else {
                currentRow.senhaAlterada = (currentRow.CDSENHACERTDIG != BKPRow.CDSENHACERTDIG) ? true : false;
            }
            
            if (currentRow.NRCLASSTRIBUT != BKPRow.NRCLASSTRIBUT || currentRow.IDESCRITURECD != BKPRow.IDESCRITURECD ||
                currentRow.IDDESONERACAO    != BKPRow.IDDESONERACAO || currentRow.IDACORDISENMULTA != BKPRow.IDACORDISENMULTA ||
                currentRow.IDSITUPJ != BKPRow.IDSITUPJ || currentRow.CDREPRES  != BKPRow.CDREPRES || 
                currentRow.DTINIVALIDADE != BKPRow.DTINIVALIDADE || currentRow.DTFINVALIDADE != BKPRow.DTFINVALIDADE){
                General.callRestEngine('fis_acessorias#/paramempreinf/updateCrud','Row', widget.currentRow).then(
                    function(success){
                        ScreenService.goBack();
                        widget.reload();
                    },
                    function(error){
                        ScreenService.showMessage(error.data.error);
                    }
                );
            } else {
                restEngine.post('fis_acessorias#/paramempreinf/saveCrud', {
                    "requestType": "DataSet",
                    "dataset": [currentRow]
                }).then(function(sucesso) {
                    aftersave(widget);
                    widget.currentRow.__is_new = false;
                });
            }
        }
        widget.getField('DSDIRCERTIFICADO').validations = {
                                                            "extensions": {
                                                                "value": [
                                                                    "",
                                                                    ".pfx",
                                                                    ".p12"
                                                                ]
                                                            }
                                                        };
    };
    
    function aftersave(widget){
        General.formWidgetSwitchTemplate(widget);
        widget.list();
        templateManager.container.getWidget('tabbedWidget').getField('NMEMPRESA').readOnly = false;
        widget.getField('DSDIRCERTIFICADO').isVisible = false;
        widget.getField('CERTIFICADONAME').isVisible = true;
        widget.reload().then(function() {
            var existeData = (widget.dataSource.data[0]) ? true : false;
            widget.currentRow = (existeData) ? widget.dataSource.data[0] : {};
        });
    }
    
    self.widgetEdit = function (widget){
        General.widgetEdit(widget);
        widget.getField('CERTIFICADONAME').isVisible = false;
        widget.getField('DSDIRCERTIFICADO').isVisible = true;
        templateManager.container.getWidget('tabbedWidget').getField('NMEMPRESA').readOnly = true;
        angular.copy(widget.currentRow, BKPRow);
        widget.reload().then(function() {
           widget.getField('DSDIRCERTIFICADO').fileList = widget.currentRow.DSDIRCERTIFICADO;
           widget.redraw();
        });
    };
    
    self.cancel = function (args){
        General.backOrCancel(args);
        General.formWidgetSwitchTemplate(args.owner.widget);
        args.owner.widget.list();
        args.owner.widget.getField('DSDIRCERTIFICADO').isVisible = false;
        args.owner.widget.getField('CERTIFICADONAME').isVisible = true;
        templateManager.container.getWidget('tabbedWidget').getField('NMEMPRESA').readOnly = false;
    };

};

Configuration(function(ContextRegister){
    ContextRegister.register('Fis75001_parametrosEfdReinf_Controller', Fis75001_parametrosEfdReinf_Controller);
});