function fis00700_documentos_fiscais_Controller(General, ScreenService, templateManager) {
     /**
    * Seta na tela o nome do fieldGrup para cada tipo de apuração selecionada
    * 
    * @param {object} widget widget de 
    * Documentos Fiscais 
    */
    this.setLabel = function(widget) {
    var WdgDocumentoFiscais = templateManager.container.widgets[0];
    var tipo = widget.widget.currentRow.TIPODEAPURACAO;
    if(tipo){
        if(tipo =="1"){
             WdgDocumentoFiscais.fieldGroups[1].label = "Tipo de Apuração Federal";
             WdgDocumentoFiscais.currentRow.REPORT_NAME = null;
             this.limpaTela(WdgDocumentoFiscais);
             this.limpaCampos(WdgDocumentoFiscais);
        }else 
            if(tipo == "2"){
             WdgDocumentoFiscais.fieldGroups[1].label = "Tipo de Apuração Estadual";
             WdgDocumentoFiscais.currentRow.REPORT_NAME = null;
             this.limpaTela(WdgDocumentoFiscais);
             this.limpaCampos(WdgDocumentoFiscais);
        }else{
             WdgDocumentoFiscais.fieldGroups[1].label = "Tipo de Apuração Nacional Simples";
             WdgDocumentoFiscais.currentRow.REPORT_NAME = null;
             this.limpaTela(WdgDocumentoFiscais);
             this.limpaCampos(WdgDocumentoFiscais);
            }
        }else{
             WdgDocumentoFiscais.fieldGroups[1].label = "Escolha Apuração";
             WdgDocumentoFiscais.currentRow.REPORT_NAME = null;
             this.limpaTela(WdgDocumentoFiscais);
             this.limpaCampos(WdgDocumentoFiscais);
        }
    };
    this.setFiltroImposto = function(tipo,widget) {
         if(tipo == "1"){
            widget.getField("SGIMPOSTONFE").dataSourceFilter[0].value = "F";
        }else
            if(tipo == "2"){
                widget.getField("SGIMPOSTONFE").dataSourceFilter[0].value = "E";
            }else{
                widget.getField("SGIMPOSTONFE").dataSourceFilter[0].operator = "IN";
                widget.getField("SGIMPOSTONFE").dataSourceFilter[0].value = ["M", "E"];
            }
         
     };
    
     /**
    * Fecha o popupa de tipo de Apuração
    * 
    * @param {object} widget widget de 
    * tipoRelatorioApuracao 
    */
    this.fecharPesquisa = function(widget) {
        ScreenService.closePopup();
    };  
   
    /**
    *  Seta a listas de relatorios para cada tipo de apuração
    * 
    * @param {object} widget widget de 
    * Documentos Fiscais 
    */
    this.setDataRelatorio = function(widget) {
        var tipoApuracao = widget.currentRow.TIPODEAPURACAO;
        var WdgDocumentoFiscais = templateManager.container.getWidget("fis00700_documentos_fiscais");
        var data = this.datasRelatorio(tipoApuracao);
        this.setFiltroImposto(tipoApuracao, WdgDocumentoFiscais);
        
        WdgDocumentoFiscais.fields.forEach(function(field) {
            if(field.name == "REPORT_NAME"){
                field.dataSource.data  = data;
            }
        });
        this.fecharPesquisa(widget);
    };  
     /**
    *  Torna visível os campos para o relatório selecionado
    * 
    * @param {object} widget widget de 
    * Documentos Fiscais 
    */
    this.abreCamposRelatorio = function(widget){
        this.limpaCampos(widget);
        var WdgFiltro = templateManager.container.getWidget("tipoRelatorioApuracao");
        var tipo = WdgFiltro.currentRow.TIPODEAPURACAO;
        var relatorio = widget.currentRow.REPORT_CODE;
        var campos = [];
        var camposNaoObrigat = [];
        if(!relatorio){
          this.setaCampos(campos, widget);   
        }else{
            if(tipo == "1"){
                this.layoutFederal(relatorio, widget, campos, camposNaoObrigat);
            }
            if(tipo == "2"){
                this.layoutEstadual(relatorio, widget, campos, camposNaoObrigat);
            }
            if(tipo == "3"){
                this.layoutNacionalSimples(relatorio, widget, campos, camposNaoObrigat);
            }
        }
    };
     /**
    *  Recarrega o popup para cada campo select simples
    * 
    * @param {object} field da widget de 
    * Documentos Fiscais 
    */
  
    this.reloadData = function(campo){
        campo.reload();
    };
     /**
    *  Reseta os campo de cada relatorio apos selecionar novo relatório
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.limpaCamposPoEmpresa = function(widget){
         widget.fields.forEach(function(field){
         if(field.name != "REPORT_NAME"){
             if(field.name != "SGIMPOSTONFE"){
                 if(field.isVisible){
                    this.clearCampo(field);
                 }
             }
         }
        }.bind(this));
        this.setFiltroCampoDTINIPERIODO(widget);
    };
    
    this.limpaCampos = function(widget){
        widget.fields.forEach(function(field){
         if(field.name != "REPORT_NAME"){
            this.clearCampo(field);
         }
        }.bind(this));
    };
      /**
    *  Limpa os campo para qualquer tipo de field
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.clearCampo = function(field) {
			field.widget.currentRow[field.name] = "";
			field.formattedValue = "";
			field.currentDate = moment().startOf('month').startOf('day');
			if (field.change) {
				field.change();
			}
	};
      /**
    * Configura o campo obrigatorio por tipo de relatório
    * 
    * @param {object, string, string} widget da widget de 
    * Documentos Fiscais 
    */
    this.configCampos = function(relatorio, field, camposNaoObrigat){
        var isRequired = camposNaoObrigat.includes(field.name);
         if(!isRequired){
            field.validations = {"required": true};
         }
    };
      /**
    *  Seta campo de acordo com a regras para cada relatório
    * 
    * @param {object, string, string} widget da widget de 
    * Documentos Fiscais 
    */
    this.setaCampos = function(campos, widget, camposNaoObrigat){
        var ativo = false;
        var estadual = false;
        var federal = false;
        var relatorio = widget.currentRow.REPORT_CODE;
        if(relatorio){
         campos.forEach(function(campo) {
            widget.fields.forEach(function(field) {
                if(campo == field.name){
                    field.isVisible = true;
                    this.configCampos(relatorio, field, camposNaoObrigat);
                       ativo = field.widget.getField("CDINSCMUNI").isVisible;
                       if(ativo){
                            this.paramsMunicipal(widget);
                       }else{
                           estadual = field.widget.getField("CDINSCESTA").isVisible;
                       if(estadual){
                            this.paramsNacSimpEstadual(widget);
                       }else{
                           federal = field.widget.getField("NMLIVROMAG").isVisible;
                           if(federal){
                                this.paramsFederal(widget);
                           }else{
                                this.paramsNacSimples(widget);
                           }
                       }
                    }
                    if(campo == "NMLIVROMAG" && field.isVisible){
                        ativo = field.widget.getField("SGIMPOSTONFE").isVisible;
                       if(ativo){
                            this.paramsNacSimpEstadual(widget);
                       }else{
                            
                       }
                    }
                }
            }.bind(this));
        }.bind(this));
     }else{
         this.limpaTela(widget);
     }
    };
    /**
    *  Busca o parametros por tipo de dataSources
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.paramsMunicipal = function(widget){
        this.setFiltroMunicipal(widget,"DTINICIO");
        this.setFiltroMunicipal(widget,"DTFINAL");
    };
     /**
    *  Busca o parametros por tipo de dataSources
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.paramsNacSimpEstadual = function(widget){
        this.setFiltroNacSimpEstadual(widget,"DTINICIO");
        this.setFiltroNacSimpEstadual(widget,"DTFINAL");
    };
     /**
    *  Busca o parametros por tipo de dataSources
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.paramsNacSimples = function(widget){
        this.setFiltroSimples(widget,"DTINICIO");
        this.setFiltroSimples(widget,"DTFINAL");
    };
     /**
    *  Busca o parametros por tipo de dataSources
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.paramsFederal = function(widget){
        this.setFiltroPadrao(widget,"DTINICIO");
        this.setFiltroPadrao(widget,"DTFINAL");
    };
     /**
    *  Realiza um tratamento e string retirando espaços em branco
    * 
    * @param {string} variavel da função do 
    * setFiltroIsento 
    */
    this.trataString = function(string){
        var novaString = "";
        for (var i = 0; i < string.length; i++) {
            if(string[i] != " ")
            novaString = novaString + (string[i]);
        }
        return novaString;
    };
      /**
    * Seta o filtro dos fields de acordo com o relatorio selecionado
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.setFiltroNacSimpEstadual = function(widget, campo){
        if(widget.getField(campo).dataSource.name != "fis#/crud/mapa_Estadual"){ 
            widget.getField(campo).dataSource.name = "fis#/crud/mapa_Estadual";
           widget.getField(campo).dataSourceFilter = [];
            var name = ["CDEMPRESA","CDIMPOSTO","CDINSCESTA",];
            var operator = ["=","=","=",];
            var campoFiltro = ['CDEMPRESA','CDIMPOSTONFE','CDINSCESTA',];
            this.sintetizaFiltro(widget, campo, name, operator, campoFiltro);
        }
    };
      /**
    * Seta o filtro dos fields de acordo com o relatorio selecionado
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.setFiltroMunicipal = function(widget, campo){
        if(widget.getField(campo).dataSource.name != "fis#/crud/mapa_Municipal"){ 
            widget.getField(campo).dataSource.name = "fis#/crud/mapa_Municipal";
            widget.getField(campo).dataSourceFilter = [];
            var name = ["CDEMPRESA"];
            var operator = ["="];
            var campoFiltro = ['CDEMPRESA'];
            this.sintetizaFiltro(widget, campo, name, operator, campoFiltro);
        }
    };
      /**
    * Seta o filtro dos fields de acordo com o relatorio selecionado
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
     this.setFiltroSimples = function(widget, campo){
        if(widget.getField(campo).dataSource.name != "fis#/crud/mapa_NacionalSimples"){ 
            widget.getField(campo).dataSource.name = "fis#/crud/mapa_NacionalSimples";
            widget.getField(campo).dataSourceFilter = [];
            var name = ["CDEMPRESA","CDIMPOSTO"];
            var operator = ["=", "="];
            var campoFiltro = ['CDEMPRESA','CDIMPOSTONFE'];
            this.sintetizaFiltro(widget, campo, name, operator, campoFiltro);
        }
    };
    
     this.sintetizaFiltro = function(widget, campo, name, operator, campoFiltro){
        var filtro = [];
        var str1 = "@General.getFieldValue(";
        var str2 = ", 'fis00700_documentos_fiscais')@";
        for (var i = 0; i < name.length; i++) {
             filtro = {
            "name": name[i],
            "operator": operator[i], 
            "value": str1.concat('"'+campoFiltro[i]+'"').concat(str2)
            };
            widget.getField(campo).dataSourceFilter.push(filtro);
            filtro = [];
        }
    };
    
    this.setFiltroDTFINAL = function(widget){
        var qtdFiltro = widget.getField("DTFINAL").dataSourceFilter.length;
        if(widget.getField("DTFINAL").dataSourceFilter[qtdFiltro-1].name == "DTFIMPERIODO"){
            widget.getField("DTFINAL").dataSourceFilter.pop();
        }
        var name = ["DTFIMPERIODO",];
        var operator = [">"];
        var campoFiltro = ['DTINICIO'];
        this.sintetizaFiltro(widget, "DTFINAL", name, operator, campoFiltro);
    };
      /**
    * Seta o filtro dos fields de acordo com o relatorio selecionado
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.setFiltroPadrao = function(widget, campo){
        if(widget.getField(campo).dataSource.name != "fis#/crud/mapa_padrao"){
            widget.getField(campo).dataSource.name = "fis#/crud/mapa_padrao";
            widget.getField(campo).dataSourceFilter = [];
            var name = ["P_CDEMPRESA","P_CDLIVROMAG"];
            var operator = ["=", "="];
            var campoFiltro = ['CDEMPRESA',null];
            this.sintetizaFiltro(widget, campo, name, operator, campoFiltro);
        }
    };
      /**
    * Retira dos os fields se nenhum relatório for selecionado
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.limpaTela = function(widget){
        widget.fields.forEach(function(field) {
            if(field.name != "REPORT_NAME"){
                field.isVisible = false;
                field.validations = {};
            }
        }); 
    };
      /**
    * Abre o popup para selecionar o tipo de apuração
    * 
    * @param {null}  
    */
    this.abriFiltro = function(){
        var fltro = templateManager.container.getWidget("tipoRelatorioApuracao");
        fltro.isVisible = true;
        ScreenService.openPopup(fltro);
    };
   /**
    *  Reseta os campo de cada relatorio apos selecionar novo relatório
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.setFiltroCampoDTINIPERIODO = function(widget){
        var cdlivromag = widget.currentRow.CDLIVROMAG;
        var cdimpostonfe = widget.currentRow.CDIMPOSTONFE;
        var nmimposto = widget.currentRow.SGIMPOSTONFE;
        var cdinscmuni = widget.currentRow.CDINSCMUNI;
        if(!nmimposto && !cdinscmuni){
            if(cdlivromag){
                widget.getField('DTINICIO').dataSourceFilter[1].value = cdlivromag;
                widget.getField('DTFINAL').dataSourceFilter[1].value = cdlivromag;
            }else{
                widget.getField('DTINICIO').dataSourceFilter[1].value = cdimpostonfe;
                widget.getField('DTFINAL').dataSourceFilter[1].value = cdimpostonfe;
            }
        }
        if(nmimposto){
            widget.getField('DTINICIO').dataSourceFilter[1].value = cdimpostonfe;
            widget.getField('DTFINAL').dataSourceFilter[1].value = cdimpostonfe;
        }
    };
      /**
    * Trata o formato da data retirando a parte de horas
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.formataDataInicio = function(widget){
     	var data = widget.currentRow.DTINICIO;
     	var corte = data.substring(0, 10);
     	widget.currentRow.DTINICIO = corte;
    };
       /**
    * Trata o formato da data retirando a parte de horas
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.formataDataFinal = function(widget){
     	var data = widget.currentRow.DTFINAL;
     	var corte = data.substring(0, 10);
     	widget.currentRow.DTFINAL = corte;
     };
    /**
    * Verifica se a datra inicial é maior que a data final
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.validaData = function (currentRow) {
		var dataInicial = currentRow.DTINIPERIODO ? moment(currentRow.DTINIPERIODO, 'DD/MM/YYYY').format("DD/MM/YYYY") : null;
		var dataFinal = currentRow.DTFIMPERIODO ? moment(currentRow.DTFIMPERIODO, 'DD/MM/YYYY').format("DD/MM/YYYY") : null;
		var mensagem = "A data inicial deve ser menor ou igual a data final.";

		if (dataInicial && dataFinal && dataFinal < dataInicial) {
			ScreenService.showMessage(mensagem);
			return false;
		}
		return true;
	};
	 /**
    * Realisa validação dos fiels da widget
    * 
    * @param {object, object, object} widget da widget de 
    * Documentos Fiscais 
    */
    this.validaCampos = function(currentRow, widget, args) {
		if (this.validaData(currentRow)) {
			if(widget.isValid()) {
            	var row = currentRow.REPORT_CODE;
			    General.openReportPopup(widget, this.abreRelatorio, [currentRow, args]);
				//this.abreRelatorio(currentRow, args);
			}
		}
	};
     /**
    * Gera o relatorio em PDF
    * 
    * @param {object, object widget da widget de 
    * Documentos Fiscais 
    */
    this.abreRelatorio = function(currentRow, args) {
    	var relatorio  = currentRow.REPORT_CODE;
    	args.row.NRORG = getLocalVar('NRORG');
    	General.openReport('fis_relatorios#/documentos_fiscais', relatorio, args.row);
    }.bind(this);
     /**
    * Configurações do realtorio por tipo de apuiração
    * 
    * @param {object, object, object}, object} widget da widget de 
    * Documentos Fiscais 
    */
    this.layoutFederal = function(relatorio, widget, campos, camposNaoObrigat) {
        if(relatorio == "FIS98001" ){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","NMLIVROMAG","DTINICIO","DTFINAL","NMPRODUTOINICIAL","NMPRODUTOFINAL","REGIME"];
            camposNaoObrigat = ["REGIME"];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS98002"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","NMLIVROMAG","DTINICIO","DTFINAL","NMPRODUTOINICIAL","NMPRODUTOFINAL","REGIME"]; 
            camposNaoObrigat = ["REGIME"];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS98003"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","NMLIVROMAG","DTINICIO","DTFINAL","NMPRODUTOINICIALFAMILIA","NMPRODUTOFINALFAMILIA","NVTOT","LISTARPROD","REGIME"];
            camposNaoObrigat = ["REGIME", "LISTARPROD"];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS98004"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","NMLIVROMAG","DTINICIO","DTFINAL","NMPRODUTOINICIALFAMILIA","NMPRODUTOFINALFAMILIA","NVTOT","LISTARPROD","REGIME"];
            camposNaoObrigat = ["REGIME", "LISTARPROD"];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS98005"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","NMLIVROMAG","DTINICIO","DTFINAL"];  
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS98006"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","NMLIVROMAG","DTINICIO","DTFINAL","REGIME"];
            camposNaoObrigat = ["REGIME"];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
         if(relatorio == "FIS98007"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","NMLIVROMAG","DTINICIO","DTFINAL","REGIME"];
            camposNaoObrigat = ["REGIME"];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS98009"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","NMLIVROMAG","DTINICIO","DTFINAL"];
            camposNaoObrigat = ["REGIME"];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS98011"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","NMLIVROMAG","DTINICIO","DTFINAL","NMPRODUTOINICIAL","NMPRODUTOFINAL","REGIME"];
            camposNaoObrigat = ["REGIME"];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
    };
     /**
    * Configurações do realtorio por tipo de apuiração
    * 
    * @param {object, object, object}, object} widget da widget de 
    * Documentos Fiscais 
    */
    this.layoutEstadual = function(relatorio, widget, campos, camposNaoObrigat) {
        if(relatorio == "FII00100"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FII00300"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FII00303"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FII00325"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FII00500"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA","NRLIVRO"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
         if(relatorio == "FII00600"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FII00800"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FII00802"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FII00890"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
    };
     /**
    * Configurações do realtorio por tipo de apuiração
    * 
    * @param {object, object, object}, object} widget da widget de 
    * Documentos Fiscais 
    */
    this.layoutNacionalSimples = function(relatorio, widget, campos, camposNaoObrigat) {
        if(relatorio == "FIS60000"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA","NRLIVRO"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS60001"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA","NRLIVRO"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS60002"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCMUNI","DTINICIO","DTFINAL","NRPAGINA"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS60003"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCMUNI","DTINICIO","DTFINAL","NRPAGINA"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS60004"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","CDINSCESTA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
        if(relatorio == "FIS60005"){
            this.limpaTela(widget);
            campos = ["NMEMPRESA","SGIMPOSTONFE","DTINICIO","DTFINAL","NRPAGINA"];
            camposNaoObrigat = [];
            this.setaCampos(campos, widget, camposNaoObrigat);
        }
    };
     /**
    * Seta o datasource do campo relatório por tipo de Apuração
    * 
    * @param {object} widget da widget de 
    * Documentos Fiscais 
    */
    this.datasRelatorio = function(tipo) {
        var federal = [
                        {
                        	"name": "Registro de Entradas - Contribuições [Produtos]",
                        	"value": "FIS98001"
                        }, 
                        {
                        	"name": "Registro de Saídas - Contribuições [Produtos]",
                        	"value": "FIS98002"
                        }, 
                        {
                        	"name": "Registro de Entradas - Contribuições [Família de Produtos]",
                        	"value": "FIS98003"
                        }, 
                        {
                        	"name": "Registro de Saídas - Contribuições [Família de Produtos]",
                        	"value": "FIS98004"
                        },
                        {
                        	"name": "Registro de Apuração Contribuições",
                        	"value": "FIS98005"
                        }, 
                        {
                        	"name": "Registro de Entradas - Contribuições",
                        	"value": "FIS98006"
                        }, 
                        {
                        	"name": "Registro de Saídas - Contribuições",
                        	"value": "FIS98007"
                        }, 
                        {
                        	"name": "Benfeitoria/Amortização por Periodo",
                        	"value": "FIS98009"
                        }, 
                        {
                        	"name": "Natureza da Receita por Produto",
                        	"value": "FIS98011"
                        }
                    ];
        var estadual = [
                            {
                            	"name": "Registro de Entradas",
                            	"value": "FII00100"
                            }, 
                            {
                            	"name": "Registro de Saídas",
                            	"value": "FII00300"
                            }, 
                            {
                            	"name": "Registro de Saídas - Crédito Presumido",
                            	"value": "FII00303"
                            }, 
                            {
                            	"name": "Registro de Saídas - Carga Tributária",
                            	"value": "FII00325"
                            }, 
                            {
                            	"name": "Registro de Entradas (Industria)",
                            	"value": "FII00500"
                            }, 
                            {
                            	"name": "Registro de Saídas (Industria)",
                            	"value": "FII00600"
                            }, 
                            {
                            	"name": "Registro de Apuração de ICMS",
                            	"value": "FII00800"
                            }, 
                            {
                            	"name": "Registro de Apuração Não Contribuinte (FCP e DIFAL)",
                            	"value": "FII00802"
                            }, 
                            {
                            	"name": "Registro de Apuração - Carga Tributária",
                            	"value": "FII00890"
                            }
                        ];
        var nacionalSimples = [
                            {
                            	"name": "Registro de Entradas",
                            	"value": "FIS60000"
                            }, 
                            {
                            	"name": "Registro de Saídas",
                            	"value": "FIS60001"
                            }, 
                            {
                            	"name": "Registro de Serviços Tomados",
                            	"value": "FIS60002"
                            }, 
                            {
                            	"name": "Registro de Serviços Prestados",
                            	"value": "FIS60003"
                            },
                            {
                            	"name": "Registro de Apuração ICMS",
                            	"value": "FIS60004"
                            }, 
                            {
                            	"name": "Resumo de Apuração do Simples Nacional",
                            	"value": "FIS60005"
                            }
                        ];
        if(tipo == "1"){
            return federal;
        }else
            if(tipo == "2"){
                return estadual;
            }else
                if(tipo == "3"){
                return nacionalSimples;
            }else{
                return [];
            }
    };
}
Configuration(function(ContextRegister)
{
    ContextRegister.register('fis00700_documentos_fiscais_Controller', fis00700_documentos_fiscais_Controller);
});